Index: /code/branches/pch/src/orxonox/sound/SoundBase.cc
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundBase.cc	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundBase.cc	(revision 3133)
@@ -26,13 +26,20 @@
  *
  */
+
+#include "SoundBase.h"
+
 #include <vector>
 #include <AL/alut.h>
 #include <vorbis/vorbisfile.h>
-
+#include <boost/static_assert.hpp>
+
+#include "util/Math.h"
+#include "core/Core.h"
 #include "orxonox/objects/worldentities/WorldEntity.h"
-#include "util/Math.h"
-#include "SoundBase.h"
 #include "SoundManager.h"
-#include "core/Core.h"
+
+// Make sure we correctly avoid including al.h in the header
+BOOST_STATIC_ASSERT(sizeof(uint32_t) == sizeof(ALuint));
+BOOST_STATIC_ASSERT(sizeof(int32_t)  == sizeof(ALint));
 
 namespace orxonox 
Index: /code/branches/pch/src/orxonox/sound/SoundBase.h
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundBase.h	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundBase.h	(revision 3133)
@@ -26,11 +26,9 @@
  *
  */
-#ifndef _SOUNDBASE_H__
-#define _SOUNDBASE_H__
-
-#include <AL/al.h>
-#include <string>
+#ifndef _SoundBase_H__
+#define _SoundBase_H__
 
 #include "OrxonoxPrereqs.h"
+#include <string>
 
 namespace orxonox
@@ -60,10 +58,10 @@
 
     private:
-        ALuint loadOggFile(std::string filename);
-        ALuint source_;
-        ALuint buffer_;
+        uint32_t loadOggFile(std::string filename);
+        uint32_t source_;
+        uint32_t buffer_;
         WorldEntity* entity_;
 
-        ALint getSourceState();
+        int32_t getSourceState();
 
         static SoundManager* soundmanager_s;
@@ -71,3 +69,3 @@
 } // namepsace orxonox
 
-#endif // _SOUNDBASE_H__
+#endif /* _SoundBase_H__ */
Index: /code/branches/pch/src/orxonox/sound/SoundMainMenu.cc
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundMainMenu.cc	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundMainMenu.cc	(revision 3133)
@@ -28,4 +28,5 @@
 
 #include "SoundMainMenu.h"
+
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
Index: /code/branches/pch/src/orxonox/sound/SoundMainMenu.h
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundMainMenu.h	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundMainMenu.h	(revision 3133)
@@ -27,11 +27,11 @@
  */
 
-#ifndef _SOUNDMAINMENU_H__
-#define _SOUNDMAINMENU_H__
+#ifndef _SoundMainMenu_H__
+#define _SoundMainMenu_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
-
 #include "core/OrxonoxClass.h"
-#include "OrxonoxPrereqs.h"
 #include "SoundBase.h"
 
@@ -48,3 +48,4 @@
     };
 }
-#endif
+
+#endif /* _SoundMainMenu_H__ */
Index: /code/branches/pch/src/orxonox/sound/SoundManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundManager.cc	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundManager.cc	(revision 3133)
@@ -27,11 +27,12 @@
  */
 
+#include "SoundManager.h"
+
 #include <AL/alut.h>
 
+#include "util/Math.h"
 #include "orxonox/CameraManager.h"
 #include "orxonox/objects/worldentities/Camera.h"
-#include "util/Math.h"
 #include "SoundBase.h"
-#include "SoundManager.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/sound/SoundManager.h
===================================================================
--- /code/branches/pch/src/orxonox/sound/SoundManager.h	(revision 3132)
+++ /code/branches/pch/src/orxonox/sound/SoundManager.h	(revision 3133)
@@ -25,12 +25,15 @@
  *      ...
  */
-#ifndef _SOUNDMANGER_H__
-#define _SOUNDMANGER_H__
-
-#include <AL/al.h>
-#include <AL/alc.h>
+#ifndef _SoundManager_H__
+#define _SoundManager_H__
 
 #include "OrxonoxPrereqs.h"
+
+#include <list>
 #include "orxonox/objects/Tickable.h"
+
+// forward declarations
+typedef struct ALCcontext_struct ALCcontext;
+typedef struct ALCdevice_struct ALCdevice;
 
 namespace orxonox
@@ -49,5 +52,5 @@
         void addSound(SoundBase* sound);
         void removeSound(SoundBase* sound);
-        virtual void tick(float dt);
+        void tick(float dt);
         bool isSoundAvailable();
 
@@ -61,3 +64,3 @@
 } // namespace orxonox
 
-#endif // _SOUNDMANAGER_H__
+#endif /* _SoundManager_H__ */