Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.cc
+    @file
     @brief Implementation of the AddQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuest.h
+    @file
     @brief Definition of the AddQuest class.
 */
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.cc
+    @file
     @brief Implementation of the AddQuestHint class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddQuestHint.h
+    @file
     @brief Definition of the AddQuestHint class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.cc
+    @file
     @brief Implementation of the AddReward class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file AddReward.h
+    @file
     @brief Definition of the AddReward class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.cc
+    @file
     @brief Implementation of the ChangeQuestStatus class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file ChangeQuestStatus.h
+    @file
     @brief Definition of the ChangeQuestStatus class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file CompleteQuest.cc
+    @file
     @brief Implementation of the CompleteQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file CompleteQuest.h
+    @file
     @brief Definition of the CompleteQuest class.
 */
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file FailQuest.cc
+    @file
     @brief Implementation of the FailQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file FailQuest.h
+    @file
     @brief Definition of the FailQuest class.
 */
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.cc
+    @file
     @brief Implementation of the GlobalQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file GlobalQuest.h
+    @file
     @brief Definition of the GlobalQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file LocalQuest.cc
+    @file
     @brief Implementation of the LocalQuest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file LocalQuest.h
+    @file
     @brief Definition of the LocalQuest class.
 */
@@ -38,5 +38,4 @@
 
 #include <map>
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/Quest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.cc
+    @file
     @brief Implementation of the Quest class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/Quest.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file Quest.h
+    @file
     @brief Definition of the Quest class.
         The Quest is the parent class of LocalQuest and GlobalQuest.
@@ -39,5 +39,4 @@
 
 #include <list>
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.cc
+    @file
     @brief Implementation of the QuestDescription class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestDescription.h
+    @file
     @brief Definition of the QuestDescription class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffect.cc
+    @file
     @brief Implementation of the QuestEffect class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestEffect.h
+    @file
     @brief Definition of the QuestEffect class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.cc
+    @file
     @brief Implementation of the QuestEffectBeacon class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestEffectBeacon.h
+    @file
     @brief Definition of the QuestEffectBeacon class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.cc
+    @file
     @brief Implementation of the QuestHint class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestHint.h
+    @file
     @brief Definition of the QuestHint class.
 */
@@ -38,5 +38,4 @@
 
 #include <map>
-#include <string>
 
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.cc
+    @file
     @brief Implementation of the QuestItem class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3158)
@@ -28,5 +28,5 @@
  
 /**
-    @file QuestItem.h
+    @file
     @brief Definition of the QuestItem class.
         The QuestItem is the parent class of Quest and QuestHint.
Index: /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.cc
+    @file
     @brief Implementation of the QuestListener class.
 */
@@ -163,5 +163,5 @@
         Return the mode of the QuestListener. Can be eighter 'all', 'start', 'fail' or 'complete'.
     */
-    const std::string QuestListener::getMode(void)
+    std::string QuestListener::getMode(void)
     {
         if(this->mode_ == questListenerMode::all)
Index: /code/branches/pch/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestListener.h
+    @file
     @brief Definition of the QuestListener class.
 */
@@ -90,5 +90,5 @@
         bool setMode(const std::string & mode); //!< Sets the mode of the QuestListener.
         
-        const std::string getMode(void); //!< Get the mode of the QuestListener.
+        std::string getMode(void); //!< Get the mode of the QuestListener.
         
         /**
Index: /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.cc
+    @file
     @brief Implementation of the QuestManager class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file QuestManager.h
+    @file
     @brief Definition of the QuestManager class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.cc
+    @file
     @brief Implementation of the Rewardable class.
 */
Index: /code/branches/pch/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Rewardable.h
+    @file
     @brief Definition of the Rewardable class.
 */
Index: /code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/AnnounceMessage.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
Index: /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.cc	(revision 3158)
@@ -29,4 +29,5 @@
 #include "ChatOverlay.h"
 
+#include <string>
 #include <OgreTextAreaOverlayElement.h>
 
Index: /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/ChatOverlay.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <list>
 #include <OgreUTFString.h>
Index: /code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/DeathMessage.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
Index: /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.cc	(revision 3158)
@@ -29,4 +29,5 @@
 #include "HUDNavigation.h"
 
+#include <string>
 #include <OgreOverlayManager.h>
 #include <OgreTextAreaOverlayElement.h>
Index: /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/HUDNavigation.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <OgrePrerequisites.h>
 #include "objects/Tickable.h"
Index: /code/branches/pch/src/orxonox/overlays/hud/KillMessage.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/hud/KillMessage.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/hud/KillMessage.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include "objects/GametypeMessageListener.h"
 #include "overlays/FadeoutText.h"
Index: /code/branches/pch/src/orxonox/overlays/notifications/Notification.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/Notification.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Notification.cc
+    @file
     @brief Implementation of the Notification class.
 */
Index: /code/branches/pch/src/orxonox/overlays/notifications/Notification.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/Notification.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file Notification.h
+    @file
     @brief Definition of the Notification class.
 */
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationManager.cc
+    @file
     @brief Implementation of the NotificationManager class.
 */
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationManager.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationManager.h
+    @file
     @brief Definition of the NotificationManager class.
 */
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationOverlay.cc
+    @file
     @brief Implementation of the NotificationOverlay class.
 */
@@ -127,5 +127,5 @@
         Clips the input message so that it meets the requirements for the maximal length of Notifications given by the NotificationQueue.
     */
-    const std::string NotificationOverlay::clipMessage(const std::string & message)
+    std::string NotificationOverlay::clipMessage(const std::string & message)
     {
         if(message.length() <= (unsigned int)this->queue_->getNotificationLength()) //!< If the message is not too long.
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationOverlay.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationOverlay.h
+    @file
     @brief Definition of the NotificationOverlay class.
 */
@@ -68,5 +68,5 @@
         
         protected:
-            const std::string clipMessage(const std::string & message); //!< Clips the input message if too long.
+            std::string clipMessage(const std::string & message); //!< Clips the input message if too long.
 
         private:
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.cc	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationQueue.cc
+    @file
     @brief Implementation of the NotificationQueue class.
 */
Index: /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/notifications/NotificationQueue.h	(revision 3158)
@@ -28,5 +28,5 @@
 
 /**
-    @file NotificationQueue.h
+    @file
     @brief Definition of the NotificationQueue class.
 */
Index: /code/branches/pch/src/orxonox/overlays/stats/CreateLines.h
===================================================================
--- /code/branches/pch/src/orxonox/overlays/stats/CreateLines.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/overlays/stats/CreateLines.h	(revision 3158)
@@ -29,5 +29,4 @@
 
 #include "OrxonoxPrereqs.h"
-#include <string>
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/tools/BillboardSet.cc
===================================================================
--- /code/branches/pch/src/orxonox/tools/BillboardSet.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/BillboardSet.cc	(revision 3158)
@@ -29,6 +29,7 @@
 #include "BillboardSet.h"
 
+#include <cassert>
+#include <string>
 #include <sstream>
-#include <cassert>
 #include <OgreSceneManager.h>
 #include <OgreBillboardSet.h>
Index: /code/branches/pch/src/orxonox/tools/BillboardSet.h
===================================================================
--- /code/branches/pch/src/orxonox/tools/BillboardSet.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/BillboardSet.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <OgrePrerequisites.h>
 #include "util/UtilPrereqs.h"
Index: /code/branches/pch/src/orxonox/tools/Mesh.cc
===================================================================
--- /code/branches/pch/src/orxonox/tools/Mesh.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/Mesh.cc	(revision 3158)
@@ -31,4 +31,5 @@
 #include <cassert>
 #include <sstream>
+#include <string>
 #include <OgreEntity.h>
 #include <OgreSceneManager.h>
Index: /code/branches/pch/src/orxonox/tools/Mesh.h
===================================================================
--- /code/branches/pch/src/orxonox/tools/Mesh.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/Mesh.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <OgrePrerequisites.h>
 
Index: /code/branches/pch/src/orxonox/tools/ParticleInterface.cc
===================================================================
--- /code/branches/pch/src/orxonox/tools/ParticleInterface.cc	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/ParticleInterface.cc	(revision 3158)
@@ -35,4 +35,5 @@
 
 #include <cassert>
+#include <string>
 #include <OgreParticleSystem.h>
 #include <OgreParticleEmitter.h>
Index: /code/branches/pch/src/orxonox/tools/ParticleInterface.h
===================================================================
--- /code/branches/pch/src/orxonox/tools/ParticleInterface.h	(revision 3157)
+++ /code/branches/pch/src/orxonox/tools/ParticleInterface.h	(revision 3158)
@@ -32,5 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <string>
 #include <OgrePrerequisites.h>
 #include "tools/TimeFactorListener.h"