Index: code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3180)
@@ -34,6 +34,5 @@
 #include "BaseItem.h"
 
-#include "PickupCollection.h"
-
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -55,5 +54,5 @@
         this->setGUIText("");
     }
-    //! Deconstructor.
+    //! Destructor.
     BaseItem::~BaseItem()
     {
@@ -105,4 +104,7 @@
     }
 
-    const std::string& BaseItem::getGUIText() const { return this->guiText_; }
+    const std::string& BaseItem::getGUIText() const
+    {
+        return this->guiText_;
+    }
 }
Index: code/branches/pch/src/orxonox/objects/pickup/BaseItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/BaseItem.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/BaseItem.h	(revision 3180)
@@ -37,4 +37,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3180)
@@ -29,10 +29,13 @@
 #include "DroppedItem.h"
 
+#include "util/Debug.h"
+#include "util/Math.h"
+#include "core/CoreIncludes.h"
+#include "core/Executor.h"
+#include "core/ObjectList.h"
 #include "BaseItem.h"
+#include "objects/worldentities/Billboard.h"
+#include "objects/worldentities/Model.h"
 #include "objects/worldentities/pawns/Pawn.h"
-#include "objects/worldentities/Model.h"
-#include "objects/worldentities/Billboard.h"
-
-#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/DroppedItem.h	(revision 3180)
@@ -29,5 +29,5 @@
 /**
     @file
-    @brief Definition of BaseItem (base-class for items/pickups).
+    @brief Definition of DroppedItem
 */
 
@@ -37,7 +37,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "EquipmentItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -46,7 +45,3 @@
         RegisterObject(EquipmentItem);
     }
-    //! Deconstructor.
-    EquipmentItem::~EquipmentItem()
-    {
-    }
 }
Index: code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/EquipmentItem.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include "BaseItem.h"
-
 namespace orxonox
 {
@@ -49,5 +48,5 @@
     public:
         EquipmentItem(BaseObject* creator);
-        virtual ~EquipmentItem();
+        virtual ~EquipmentItem() {}
     };
 }
Index: code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3180)
@@ -33,9 +33,8 @@
 
 #include "ModifierPickup.h"
-#include "PickupCollection.h"
-
+
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "objects/worldentities/pawns/Pawn.h"
 
Index: code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.h	(revision 3180)
@@ -35,11 +35,12 @@
 #define _ModifierPickup_H__
 
-#include <climits>
-
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
+#include <map>
+
+#include "orxonox/tools/Timer.h"
+#include "ModifierType.h"
 #include "PassiveItem.h"
-#include "ModifierType.h"
-#include "orxonox/tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/ModifierType.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/ModifierType.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/ModifierType.h	(revision 3180)
@@ -35,4 +35,6 @@
 #define _ModifierType_H__
 
+#include "OrxonoxPrereqs.h"
+
 namespace orxonox
 {
Index: code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PassiveItem.cc	(revision 3180)
@@ -28,5 +28,4 @@
 
 #include "PassiveItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -41,7 +40,3 @@
         RegisterObject(PassiveItem);
     }
-    //! Deconstructor.
-    PassiveItem::~PassiveItem()
-    {
-    }
 }
Index: code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PassiveItem.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "BaseItem.h"
 
@@ -49,5 +48,5 @@
     public:
         PassiveItem(BaseObject* creator);
-        virtual ~PassiveItem();
+        virtual ~PassiveItem() {}
     };
 }
Index: code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupCollection.cc	(revision 3180)
@@ -34,10 +34,8 @@
 #include "PickupCollection.h"
 
-#include "BaseItem.h"
+#include "core/CoreIncludes.h"
 #include "EquipmentItem.h"
 #include "PassiveItem.h"
 #include "UsableItem.h"
-
-#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupCollection.h	(revision 3180)
@@ -37,10 +37,9 @@
 #include "OrxonoxPrereqs.h"
 
+#include <deque>
 #include <map>
-#include <deque>
 #include <string>
 
 #include "util/Math.h"
-
 #include "ModifierType.h"
 
Index: code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupInventory.cc	(revision 3180)
@@ -28,15 +28,4 @@
 
 #include "PickupInventory.h"
-
-#include "EquipmentItem.h"
-#include "PassiveItem.h"
-#include "UsableItem.h"
-
-#include "core/ConsoleCommand.h"
-#include "core/input/InputManager.h"
-
-#include "gui/GUIManager.h"
-#include "objects/controllers/HumanController.h"
-#include "objects/worldentities/pawns/Pawn.h"
 
 #include <CEGUIImage.h>
@@ -46,4 +35,15 @@
 #include <CEGUIWindowManager.h>
 #include <elements/CEGUITabControl.h>
+
+#include "core/ConsoleCommand.h"
+#include "core/input/InputManager.h"
+#include "gui/GUIManager.h"
+#include "objects/controllers/HumanController.h"
+#include "objects/worldentities/pawns/Pawn.h"
+
+#include "EquipmentItem.h"
+#include "PassiveItem.h"
+#include "UsableItem.h"
+
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupInventory.h	(revision 3180)
@@ -37,7 +37,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <CEGUIForwardRefs.h>
 #include "core/BaseObject.h"
-
-namespace CEGUI { class Window; class WindowManager; class Image; }
 
 // tolua_begin
Index: code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3180)
@@ -33,13 +33,15 @@
 
 #include "PickupSpawner.h"
+
 #include "BaseItem.h"
-#include "PickupInventory.h"    // HACK; Only for hack, remove later
-#include "gui/GUIManager.h"     // HACK; see above
 
 #include "core/CoreIncludes.h"
+#include "core/ObjectList.h"
+#include "core/Template.h"
 #include "core/XMLPort.h"
-#include "core/Template.h"
+#include "gui/GUIManager.h"     // HACK; see below
+#include "objects/worldentities/pawns/Pawn.h"
+#include "PickupInventory.h"    // HACK; Only for hack, remove later
 
-#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.h	(revision 3180)
@@ -37,7 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
+#include "tools/Timer.h"
 #include "interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/UsableItem.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "UsableItem.h"
-
 #include "core/CoreIncludes.h"
 
@@ -46,7 +45,3 @@
         RegisterObject(UsableItem);
     }
-    //! Deconstructor.
-    UsableItem::~UsableItem()
-    {
-    }
 }
Index: code/branches/pch/src/orxonox/objects/pickup/UsableItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/UsableItem.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/UsableItem.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "BaseItem.h"
 
@@ -49,5 +48,5 @@
     public:
         UsableItem(BaseObject* creator);
-        virtual ~UsableItem();
+        virtual ~UsableItem() { }
 
         /**
Index: code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.cc	(revision 3180)
@@ -34,8 +34,7 @@
 #include "HealthImmediate.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
-
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/HealthImmediate.h	(revision 3180)
@@ -36,5 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "objects/pickup/PassiveItem.h"
 
Index: code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.cc	(revision 3180)
@@ -33,10 +33,10 @@
 
 #include "HealthUsable.h"
-#include "objects/pickup/DroppedItem.h"
 
-#include "objects/worldentities/pawns/Pawn.h"
-
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/pickup/DroppedItem.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/HealthUsable.h	(revision 3180)
@@ -35,10 +35,8 @@
 #define _HealthUsable_H__
 
-#include <climits>
-
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
 #include "objects/pickup/UsableItem.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/Jump.cc	(revision 3180)
@@ -33,10 +33,9 @@
 
 #include "Jump.h"
-#include "objects/pickup/DroppedItem.h"
-
-#include "objects/worldentities/pawns/Pawn.h"
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/pickup/DroppedItem.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/pickup/items/Jump.h
===================================================================
--- code/branches/pch/src/orxonox/objects/pickup/items/Jump.h	(revision 3177)
+++ code/branches/pch/src/orxonox/objects/pickup/items/Jump.h	(revision 3180)
@@ -39,6 +39,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include <climits>
+#include "util/Math.h"
 #include "objects/pickup/UsableItem.h"
-#include "util/Math.h"
 
 namespace orxonox