Index: /code/branches/pch/src/orxonox/GraphicsManager.cc
===================================================================
--- /code/branches/pch/src/orxonox/GraphicsManager.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/GraphicsManager.cc	(revision 3182)
@@ -52,5 +52,4 @@
 
 #include "SpecialConfig.h"
-#include "util/Debug.h"
 #include "util/Exception.h"
 #include "util/String.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/gamestates/GSGraphics.cc	(revision 3182)
@@ -38,5 +38,4 @@
 #include <OgreRenderWindow.h>
 
-#include "util/Debug.h"
 #include "core/ConfigValueIncludes.h"
 #include "core/Clock.h"
Index: /code/branches/pch/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3182)
@@ -30,5 +30,4 @@
 #include "GSLevel.h"
 
-#include "util/Debug.h"
 #include "core/input/InputManager.h"
 #include "core/input/SimpleInputState.h"
Index: /code/branches/pch/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- /code/branches/pch/src/orxonox/interfaces/RadarViewable.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/interfaces/RadarViewable.cc	(revision 3182)
@@ -33,5 +33,4 @@
 #include <OgreEntity.h>
 
-#include "util/Debug.h"
 #include "util/String.h"
 #include "core/CoreIncludes.h"
@@ -159,3 +158,12 @@
         return object->getWorldOrientation() * object->getVelocity();
     }
+
+    void RadarViewable::validate(const WorldEntity* object) const
+    {
+        if (!object)
+        {
+            COUT(1) << "Assertation: Every RadarViewable has to be assigned a WorldEntity pointer!" << std::endl;
+            assert(0);
+        }
+    }
 }
Index: /code/branches/pch/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- /code/branches/pch/src/orxonox/interfaces/RadarViewable.h	(revision 3181)
+++ /code/branches/pch/src/orxonox/interfaces/RadarViewable.h	(revision 3182)
@@ -37,5 +37,4 @@
 
 #include "util/Math.h"
-#include "util/Debug.h"
 #include "core/OrxonoxClass.h"
 
@@ -114,13 +113,5 @@
 
     private:
-        void validate(const WorldEntity* object) const
-        {
-            if (!object)
-            {
-                COUT(1) << "Assertation: Every RadarViewable has to be assigned a WorldEntity pointer!" << std::endl;
-                assert(0);
-            }
-        }
-
+        void validate(const WorldEntity* object) const;
         bool bVisibility_;
         //Map
Index: /code/branches/pch/src/orxonox/objects/Script.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/Script.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/Script.cc	(revision 3182)
@@ -30,5 +30,4 @@
 
 #include <tinyxml/ticpp.h>
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/LuaBind.h"
Index: /code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3182)
@@ -29,5 +29,4 @@
 #include "Asteroids.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
Index: /code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc	(revision 3182)
@@ -29,5 +29,4 @@
 #include "Deathmatch.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "network/Host.h"
Index: /code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3182)
@@ -29,5 +29,4 @@
 #include "Gametype.h"
 
-#include "util/Debug.h"
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3182)
@@ -29,5 +29,4 @@
 #include "TeamBaseMatch.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/pickup/BaseItem.cc	(revision 3182)
@@ -34,5 +34,4 @@
 #include "BaseItem.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3182)
@@ -29,5 +29,4 @@
 #include "DroppedItem.h"
 
-#include "util/Debug.h"
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/pickup/ModifierPickup.cc	(revision 3182)
@@ -34,5 +34,4 @@
 #include "ModifierPickup.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3182)
@@ -34,5 +34,4 @@
 #include "AddQuest.h"
 
-#include "util/Debug.h"
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3182)
@@ -34,5 +34,4 @@
 #include "AddReward.h"
 
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/worldentities/MobileEntity.cc	(revision 3182)
@@ -32,5 +32,4 @@
 #include <BulletDynamics/Dynamics/btRigidBody.h>
 
-#include "util/Debug.h"
 #include "util/MathConvert.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/objects/worldentities/triggers/Trigger.cc	(revision 3182)
@@ -31,5 +31,4 @@
 #include <OgreBillboard.h>
 #include <OgreBillboardSet.h>
-#include "util/Debug.h"
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
Index: /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3182)
@@ -34,5 +34,4 @@
 #include "OverlayGroup.h"
 
-#include "util/Debug.h"
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc	(revision 3181)
+++ /code/branches/pch/src/orxonox/overlays/console/InGameConsole.cc	(revision 3182)
@@ -42,5 +42,4 @@
 #include "util/Math.h"
 #include "util/Convert.h"
-#include "util/Debug.h"
 #include "util/UTFStringConversions.h"
 #include "core/Clock.h"