Index: /code/branches/pch/src/core/CoreIncludes.h
===================================================================
--- /code/branches/pch/src/core/CoreIncludes.h	(revision 3186)
+++ /code/branches/pch/src/core/CoreIncludes.h	(revision 3187)
@@ -43,8 +43,9 @@
 #include "CorePrereqs.h"
 
+#include "util/Debug.h"
 #include "Identifier.h"
 #include "Factory.h"
 #include "ClassFactory.h"
-#include "util/Debug.h"
+#include "ObjectList.h"
 
 
Index: /code/branches/pch/src/core/input/InputManager.cc
===================================================================
--- /code/branches/pch/src/core/input/InputManager.cc	(revision 3186)
+++ /code/branches/pch/src/core/input/InputManager.cc	(revision 3187)
@@ -49,5 +49,4 @@
 #include "core/ConsoleCommand.h"
 #include "core/CommandLine.h"
-#include "core/ObjectList.h"
 
 #include "InputBuffer.h"
Index: /code/branches/pch/src/network/GamestateClient.cc
===================================================================
--- /code/branches/pch/src/network/GamestateClient.cc	(revision 3186)
+++ /code/branches/pch/src/network/GamestateClient.cc	(revision 3187)
@@ -34,5 +34,4 @@
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
-#include "core/ObjectList.h"
 #include "synchronisable/Synchronisable.h"
 #include "synchronisable/NetworkCallbackManager.h"
Index: /code/branches/pch/src/network/Server.cc
===================================================================
--- /code/branches/pch/src/network/Server.cc	(revision 3186)
+++ /code/branches/pch/src/network/Server.cc	(revision 3187)
@@ -54,5 +54,4 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "packet/Chat.h"
 #include "packet/Packet.h"
Index: /code/branches/pch/src/network/packet/Gamestate.cc
===================================================================
--- /code/branches/pch/src/network/packet/Gamestate.cc	(revision 3186)
+++ /code/branches/pch/src/network/packet/Gamestate.cc	(revision 3187)
@@ -36,5 +36,4 @@
 #include "core/GameMode.h"
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 
 
Index: /code/branches/pch/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/gamestates/GSLevel.cc	(revision 3187)
@@ -42,5 +42,4 @@
 #include "core/Core.h"
 #include "core/Loader.h"
-#include "core/ObjectList.h"
 #include "core/XMLFile.h"
 
Index: /code/branches/pch/src/orxonox/objects/EventListener.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/EventListener.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/EventListener.cc	(revision 3187)
@@ -30,5 +30,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 
Index: /code/branches/pch/src/orxonox/objects/EventTarget.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/EventTarget.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/EventTarget.cc	(revision 3187)
@@ -28,7 +28,5 @@
 
 #include "EventTarget.h"
-
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 
 namespace orxonox
Index: /code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc	(revision 3187)
@@ -31,5 +31,4 @@
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 #include "objects/worldentities/pawns/Pawn.h"
Index: /code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc	(revision 3187)
@@ -31,5 +31,4 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "core/ObjectList.h"
 #include "network/NetworkFunction.h"
 #include "network/Host.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/pickup/DroppedItem.cc	(revision 3187)
@@ -32,5 +32,4 @@
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
-#include "core/ObjectList.h"
 #include "BaseItem.h"
 #include "objects/worldentities/Billboard.h"
Index: /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 3187)
@@ -37,5 +37,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "core/Template.h"
 #include "core/XMLPort.h"
Index: /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/overlays/OverlayGroup.cc	(revision 3187)
@@ -36,5 +36,4 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 #include "OrxonoxOverlay.h"
Index: /code/branches/pch/src/orxonox/overlays/map/Map.cc
===================================================================
--- /code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3186)
+++ /code/branches/pch/src/orxonox/overlays/map/Map.cc	(revision 3187)
@@ -51,5 +51,4 @@
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
-#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 #include "interfaces/RadarViewable.h"